Change Position Mode (TRADE)
Change user's position mode (Hedge Mode or One-way Mode ) on EVERY symbol.
After CM migration, UM and CM share the same dualSidePosition setting. Calling this endpoint flips both UM and CM at once. If either side has any open order or open position, the change is rejected:
-4067(open orders exist)-4068(open position exists)
Change Position Mode (TRADE) › Authorization
Change Position Mode (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Change Position Mode (TRADE) › Request Body
dualSidePosition"true": Hedge Mode; "false": One-way Mode
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowChange Position Mode (TRADE) › Responses
Change Position Mode
codeAPI response code. "000000" indicates success.
msgMessage details.
Account Trade List (USER_DATA)
Get trades for a specific account and symbol.
Account Trade List (USER_DATA) › Authorization
Account Trade List (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
20 with symbol,40 with pair (after CM migration: 5 flat)
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
symbolSymbol
pairpair
orderIdOrder ID
startTimeStart time
endTimeEnd time
fromIdTrade id to fetch from. Default gets most recent trades.
limitMaximum number of records to return.
recvWindowAccount Trade List (USER_DATA) › Responses
Account Trade List
symbolTrading symbol
idpositionId
orderIdSub-order ID
pairPair
sideTrading side
priceLatest token price.
qtyQuantity.
realizedPnlRealized PnL.
marginAssetMargin asset.
baseQtyBase asset quantity.
commissionTransaction Fee (in Crypto)
commissionAssetCommission asset.
timeTime
positionSidePosition side
buyerWhether the trade is a buy side for the account.
makerWhether the account is maker in this trade.
All Orders (USER_DATA)
Get all account orders; active, canceled, or filled.
- These orders will not be found:
- order status is CANCELED or EXPIRED AND order has NO filled trade AND created time + 3 days < current time
- order create time + 90 days < current time
All Orders (USER_DATA) › Authorization
All Orders (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
20 with symbol, 40 with pair (after CM migration: 5 flat)
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
symbolSymbol
pairPair
orderIdstartTimeStart time
endTimeEnd time
limitMaximum number of records to return.
recvWindowAll Orders (USER_DATA) › Responses
All Orders
avgPriceAverage execution price
clientOrderIdClient order ID.
cumBaseCumulative base asset amount.
executedQtyExecuted quantity
orderIdSub-order ID
origQtyOriginal order quantity
origTypeOriginal order type.
priceLatest token price.
reduceOnlyWhether the order is reduce-only.
sideTrading side
positionSidePosition side
statusEnum:completed,processing
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolTrading symbol
pairPair
timeTime
timeInForceTime in force
typeOrder type.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeupdate time
workingTypeStop trigger price type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
Auto-Cancel All Open Orders (TRADE)
Cancel all open orders of the specified symbol at the end of the specified countdown. This rest endpoint means to ensure your open orders are canceled in case of an outage. The endpoint should be called repeatedly as heartbeats so that the existing countdown time can be canceled and repalced by a new one. The system will check all countdowns approximately every 10 milliseconds, so please note that sufficient redundancy should be considered when using this function. We do not recommend setting the countdown time to be too precise or too small.
- Example usage:
Call this endpoint at 30s intervals with an countdownTime of 120000 (120s).
If this endpoint is not called within 120 seconds, all your orders of the specified symbol will be automatically canceled.
If this endpoint is called with an countdownTime of 0, the countdown timer will be stopped.
Auto-Cancel All Open Orders (TRADE) › Authorization
Auto-Cancel All Open Orders (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Auto-Cancel All Open Orders (TRADE) › Request Body
symbolcountdownTimecountdown time, 1000 for 1 second. 0 to cancel the timer
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowAuto-Cancel All Open Orders (TRADE) › Responses
Auto-Cancel All Open Orders
symbolTrading symbol
countdownTimeCountdown cancellation time in milliseconds.
Cancel All Open Orders (TRADE)
Cancel All Open Orders
Cancel All Open Orders (TRADE) › Authorization
Cancel All Open Orders (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symbolSymbol
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowCancel All Open Orders (TRADE) › Responses
Cancel All Open Orders
codeAPI response code. "000000" indicates success.
msgMessage details.
Modify Multiple Orders (TRADE)
Modify Multiple Orders
Modify Multiple Orders (TRADE) › Authorization
Modify Multiple Orders (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Modify Multiple Orders (TRADE) › Request Body
order list. Max 5 orders
symbolTrading symbol
sideTrading side
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdSub-order ID, required when clientOrderId is not sent.
origClientOrderIdClient order ID, required when orderId is not sent. Only support letters, numbers and underscores, and must be unique within 24 hours.
quantityOrder quantity, cannot be sent with closePosition=true. After CM migration, this parameter becomes mandatory (each batch element must send both price and quantity).
priceLatest token price. After CM migration, this parameter becomes mandatory (each batch element must send both price and quantity).
recvWindowtimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowModify Multiple Orders (TRADE) › Responses
Modify Multiple Orders
orderIdSub-order ID
symbolTrading symbol
pairPair
statusEnum:completed,processing
clientOrderIdClient order ID.
priceLatest token price.
origQtyOriginal order quantity
executedQtyExecuted quantity
cumQtyCumulative filled quantity.
timeInForceTime in force
typeOrder type.
reduceOnlyWhether the order is reduce-only.
closePositionif Close-All
sideTrading side
positionSidePosition side
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
workingTypeStop trigger price type.
priceProtectif conditional order trigger is protected
origTypeOriginal order type.
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
updateTimeupdate time
codeAPI response code. "000000" indicates success.
msgMessage details.
Place Multiple Orders (TRADE)
Place multiple orders
- Parameter rules are same with
New Order - Batch orders are processed concurrently, and the order of matching is not guaranteed.
- The order of returned contents for batch orders is the same as the order of the order list.
Place Multiple Orders (TRADE) › Authorization
Place Multiple Orders (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Place Multiple Orders (TRADE) › Request Body
order list. Max 5 orders
symbolSymbol
sidetypeAfter CM migration, stop-type values (STOP, STOP_MARKET, TAKE_PROFIT, TAKE_PROFIT_MARKET, TRAILING_STOP_MARKET) are no longer accepted on a per-element basis and will return element-level -4120. Use the new /dapi/v1/algoOrder endpoint instead.
quantityquantity measured by contract number
positionSideDefault BOTH for One-way Mode ; LONG or SHORT for Hedge Mode. It must be sent with Hedge Mode.
timeInForcereduceOnlypriceOrder price
newClientOrderIdA unique id among open orders. Automatically generated if
not sent. Can only be string following the rule:
^[\.A-Z\:/a-z0-9_-]{1,36}$
stopPriceUsed with STOP/STOP_MARKET or TAKE_PROFIT/TAKE_PROFIT_MARKET orders.
activationPriceUsed with TRAILING_STOP_MARKET orders, default as the
latest price(supporting different workingType)
callbackRateUsed with TRAILING_STOP_MARKET orders, min 0.1, max 4 where 1 for 1%
workingTypepriceProtectUsed with STOP/STOP_MARKET or TAKE_PROFIT/TAKE_PROFIT_MARKET orders.
newOrderRespTypepriceMatchonly avaliable for LIMIT/STOP/TAKE_PROFIT order; can't be passed together with price
selfTradePreventionModeEXPIRE_TAKEREXPIRE_MAKEREXPIRE_BOTH
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowPlace Multiple Orders (TRADE) › Responses
Place Multiple Orders
clientOrderIdClient order ID.
cumQtyCumulative filled quantity.
executedQtyExecuted quantity
orderIdSub-order ID
origQtyOriginal order quantity
priceLatest token price.
reduceOnlyWhether the order is reduce-only.
sideTrading side
positionSidePosition side
statusEnum:completed,processing
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolTrading symbol
pairPair
timeInForceTime in force
typeOrder type.
origTypeOriginal order type.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeupdate time
workingTypeStop trigger price type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
codeAPI response code. "000000" indicates success.
msgMessage details.
Cancel Multiple Orders (TRADE)
Cancel Multiple Orders
Cancel Multiple Orders (TRADE) › Authorization
Cancel Multiple Orders (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symbolSymbol
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdListOrder IDs to cancel.
origClientOrderIdListOriginal client order IDs to cancel.
recvWindowCancel Multiple Orders (TRADE) › Responses
Cancel Multiple Orders
clientOrderIdClient order ID.
cumQtyCumulative filled quantity.
executedQtyExecuted quantity
orderIdSub-order ID
origQtyOriginal order quantity
priceLatest token price.
reduceOnlyWhether the order is reduce-only.
sideTrading side
positionSidePosition side
statusEnum:completed,processing
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolTrading symbol
pairPair
timeInForceTime in force
origTypeOriginal order type.
typeOrder type.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
workingTypeStop trigger price type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
updateTimeupdate time
codeAPI response code. "000000" indicates success.
msgMessage details.
Query Order (USER_DATA)
Check an order's status.
- These orders will not be found:
- order status is CANCELED or EXPIRED AND order has NO filled trade AND created time + 3 days < current time
- order create time + 90 days < current time
Query Order (USER_DATA) › Authorization
Query Order (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symbolSymbol
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdOrder ID
origClientOrderIdClient order ID
recvWindowQuery Order (USER_DATA) › Responses
Order
avgPriceAverage execution price
clientOrderIdClient order ID.
cumBaseCumulative base asset amount.
executedQtyExecuted quantity
orderIdSub-order ID
origQtyOriginal order quantity
origTypeOriginal order type.
priceLatest token price.
reduceOnlyWhether the order is reduce-only.
sideTrading side
positionSidePosition side
statusEnum:completed,processing
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolTrading symbol
pairPair
timeTime
timeInForceTime in force
typeOrder type.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeupdate time
workingTypeStop trigger price type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
Modify Order (TRADE)
Order modify function, currently only LIMIT order modification is supported, modified orders will be reordered in the match queue
Modify Order (TRADE) › Authorization
Modify Order (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Modify Order (TRADE) › Request Body
symbolSymbol
sidetimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdOrder ID
origClientOrderIdClient order ID
quantityOrder quantity, cannot be sent with closePosition=true. After CM migration, this parameter becomes mandatory (must be sent together with price).
priceOrder price. After CM migration, this parameter becomes mandatory (must be sent together with quantity).
priceMatchonly avaliable for LIMIT/STOP/TAKE_PROFIT order; Can't be passed together with price
recvWindowModify Order (TRADE) › Responses
Modify Order
orderIdSub-order ID
symbolTrading symbol
pairPair
statusEnum:completed,processing
clientOrderIdClient order ID.
priceLatest token price.
origQtyOriginal order quantity
executedQtyExecuted quantity
cumQtyCumulative filled quantity.
timeInForceTime in force
typeOrder type.
reduceOnlyWhether the order is reduce-only.
closePositionif Close-All
sideTrading side
positionSidePosition side
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
workingTypeStop trigger price type.
priceProtectif conditional order trigger is protected
origTypeOriginal order type.
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
updateTimeupdate time
New Order (TRADE)
Send in a new order.
New Order (TRADE) › Authorization
New Order (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
1 on 1min order rate limit(X-MBX-ORDER-COUNT-1M) 0 on IP rate limit(x-mbx-used-weight-1m)
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
New Order (TRADE) › Request Body
symbolSymbol
sidetypeAfter CM migration, stop-type values (STOP, STOP_MARKET, TAKE_PROFIT, TAKE_PROFIT_MARKET, TRAILING_STOP_MARKET) are no longer accepted by this endpoint and will return -4120. Use the new /dapi/v1/algoOrder endpoint instead.
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
positionSideDefault BOTH for One-way Mode ; LONG or SHORT for Hedge Mode. It must be sent in Hedge Mode.
reduceOnly"true" or "false". Cannot be sent in Hedge
Mode; cannot be sent with closePosition=true(Close-All)
quantityquantity measured by contract number, Cannot be sent with closePosition=true
priceOrder price
newClientOrderIdA unique id among open orders. Automatically generated if
not sent. Can only be string following the rule:
^[\.A-Z\:/a-z0-9_-]{1,36}$
stopPriceUsed with STOP/STOP_MARKET or TAKE_PROFIT/TAKE_PROFIT_MARKET orders.
closePositiontrue, false;Close-All,used with STOP_MARKET or TAKE_PROFIT_MARKET.
activationPriceUsed with TRAILING_STOP_MARKET orders, default as the
latest price(supporting different workingType)
callbackRateUsed with TRAILING_STOP_MARKET orders, min 0.1, max 10 where 1 for 1%
timeInForceworkingType'stopPrice triggered by: "MARK_PRICE", "CONTRACT_PRICE".
priceProtect"true" or "false". Used with
STOP/STOP_MARKET or TAKE_PROFIT/TAKE_PROFIT_MARKET
orders.
newOrderRespTypepriceMatchonly avaliable for LIMIT/STOP/TAKE_PROFIT order;
Can't be passed together with price
selfTradePreventionModeEXPIRE_TAKEREXPIRE_MAKEREXPIRE_BOTH
recvWindowNew Order (TRADE) › Responses
New Order
clientOrderIdClient order ID.
cumQtyCumulative filled quantity.
executedQtyExecuted quantity
orderIdSub-order ID
origQtyOriginal order quantity
priceLatest token price.
reduceOnlyWhether the order is reduce-only.
closePositionif Close-All
sideTrading side
positionSidePosition side
statusEnum:completed,processing
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
symbolTrading symbol
pairPair
timeInForceTime in force
typeOrder type.
origTypeOriginal order type.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeupdate time
workingTypeStop trigger price type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
Cancel Order (TRADE)
Cancel an active order.
Cancel Order (TRADE) › Authorization
Cancel Order (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symbolSymbol
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdOrder ID
origClientOrderIdClient order ID
recvWindowCancel Order (TRADE) › Responses
Cancel Order
clientOrderIdClient order ID.
cumQtyCumulative filled quantity.
executedQtyExecuted quantity
orderIdSub-order ID
origQtyOriginal order quantity
priceLatest token price.
reduceOnlyWhether the order is reduce-only.
sideTrading side
positionSidePosition side
statusEnum:completed,processing
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolTrading symbol
pairPair
timeInForceTime in force
origTypeOriginal order type.
typeOrder type.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeupdate time
workingTypeStop trigger price type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
Change Initial Leverage (TRADE)
Change user's initial leverage in the specific symbol market.
For Hedge Mode, LONG and SHORT positions of one symbol use the same initial leverage and share a total notional value.
Change Initial Leverage (TRADE) › Authorization
Change Initial Leverage (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Change Initial Leverage (TRADE) › Request Body
symbolSymbol
leveragetarget initial leverage: int from 1 to 125
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowChange Initial Leverage (TRADE) › Responses
Change Initial Leverage
leverageLeverage value.
maxQtymaximum quantity of base asset
symbolTrading symbol
Change Margin Type (TRADE)
Change user's margin type in the specific symbol market.For Hedge Mode, LONG and SHORT positions of one symbol use the same margin type.
With ISOLATED margin type, margins of the LONG and SHORT positions are isolated from each other.
Change Margin Type (TRADE) › Authorization
Change Margin Type (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Change Margin Type (TRADE) › Request Body
symbolSymbol
marginTypetimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
recvWindowChange Margin Type (TRADE) › Responses
Change Margin Type
codeAPI response code. "000000" indicates success.
msgMessage details.
Current All Open Orders (USER_DATA)
Get all open orders on a symbol. Careful when accessing this with no symbol.
Current All Open Orders (USER_DATA) › Authorization
Current All Open Orders (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
1 for a single symbol, 40 for mutltiple symbols
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
symbolSymbol. After CM migration, an invalid symbol returns -1121 (previously a silent 200).
pairPair
recvWindowCurrent All Open Orders (USER_DATA) › Responses
Current All Open Orders
avgPriceAverage execution price
clientOrderIdClient order ID.
cumBaseCumulative base asset amount.
executedQtyExecuted quantity
orderIdSub-order ID
origQtyOriginal order quantity
origTypeOriginal order type.
priceLatest token price.
reduceOnlyWhether the order is reduce-only.
sideTrading side
positionSidePosition side
statusEnum:completed,processing
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolTrading symbol
pairPair
timeTime
timeInForceTime in force
typeOrder type.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeupdate time
workingTypeStop trigger price type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
Get Order Modify History (USER_DATA)
Get order modification history
Get Order Modify History (USER_DATA) › Authorization
Get Order Modify History (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symbolSymbol
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdOrder ID
origClientOrderIdClient order ID
startTimeTimestamp in ms to get modification history from INCLUSIVE
endTimeTimestamp in ms to get modification history until INCLUSIVE
limitMaximum number of records to return.
recvWindowGet Order Modify History (USER_DATA) › Responses
Get Order Modify History
amendmentIdOrder modification ID
symbolTrading symbol
pairPair
orderIdSub-order ID
clientOrderIdClient order ID.
timeTime
Order amendment details.
Latest token price.
beforeBefore value.
afterAfter value.
Original order quantity
beforeBefore value.
afterAfter value.
countTotal number of trades in the 24h window.
Get Position Margin Change History (TRADE)
Get position margin change history
Get Position Margin Change History (TRADE) › Authorization
Get Position Margin Change History (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symboltimestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
type1: Add position margin,2: Reduce position margin
startTimeStart time
endTimeEnd time
limitMaximum number of records to return.
recvWindowGet Position Margin Change History (TRADE) › Responses
Get Position Margin Change History
amountAmount.
assetasset name
symbolTrading symbol
timeTime
typeOrder type.
positionSidePosition side
Modify Isolated Position Margin (TRADE)
Modify Isolated Position Margin
Modify Isolated Position Margin (TRADE) › Authorization
Modify Isolated Position Margin (TRADE) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Modify Isolated Position Margin (TRADE) › Request Body
symbolSymbol
amountMargin asset
type1: Add position margin,2: Reduce position margin
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
positionSideDefault BOTH for One-way Mode ; LONG or SHORT for Hedge Mode. It must be sent with Hedge Mode.
recvWindowModify Isolated Position Margin (TRADE) › Responses
Modify Isolated Position Margin
amountAmount.
codeAPI response code. "000000" indicates success.
msgMessage details.
typeOrder type.
Position ADL Quantile Estimation (USER_DATA)
Query position ADL quantile estimation
- Values update every 30s.
- Values 0, 1, 2, 3, 4 shows the queue position and possibility of ADL from low to high.
- For positions of the symbol are in One-way Mode or isolated margined in Hedge Mode, "LONG", "SHORT", and "BOTH" will be returned to show the positions' adl quantiles of different position sides.
- If the positions of the symbol are crossed margined in Hedge Mode:
- "HEDGE" as a sign will be returned instead of "BOTH";
- A same value caculated on unrealized pnls on long and short sides' positions will be shown for "LONG" and "SHORT" when there are positions in both of long and short sides.
Position ADL Quantile Estimation (USER_DATA) › Authorization
Position ADL Quantile Estimation (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
symbolrecvWindowPosition ADL Quantile Estimation (USER_DATA) › Responses
Position ADL Quantile Estimation
symbolTrading symbol
ADL quantile information.
LONGadl quantile for "LONG" position in hedge mode
SHORTadl qauntile for "SHORT" position in hedge mode
HEDGEHedge mode ADL quantile.
BOTHOne-way mode ADL quantile.
Position Information (USER_DATA)
Get current account information.
Position Information (USER_DATA) › Authorization
Position Information (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
marginAssetpairrecvWindowPosition Information (USER_DATA) › Responses
Position Information
symbolTrading symbol
positionAmtposition amount
entryPricePosition entry price.
breakEvenPricebreak-even price
markPricemark price
unRealizedProfitUnrealized profit.
liquidationPriceLiquidation price.
leverageLeverage value.
maxQtymaximum quantity of base asset
marginTypeMargin type.
isolatedMarginIsolated margin amount.
isAutoAddMarginWhether auto-add margin is enabled.
positionSidePosition side
updateTimeupdate time
Query Current Open Order (USER_DATA)
Query Current Open Order
Query Current Open Order (USER_DATA) › Authorization
Query Current Open Order (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
symbolSymbol
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
orderIdOrder ID
origClientOrderIdClient order ID
recvWindowQuery Current Open Order (USER_DATA) › Responses
Current Open Order
avgPriceAverage execution price
clientOrderIdClient order ID.
cumBaseCumulative base asset amount.
executedQtyExecuted quantity
orderIdSub-order ID
origQtyOriginal order quantity
origTypeOriginal order type.
priceLatest token price.
reduceOnlyWhether the order is reduce-only.
sideTrading side
positionSidePosition side
statusEnum:completed,processing
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
closePositionif Close-All
symbolTrading symbol
pairPair
timeTime
timeInForceTime in force
typeOrder type.
activatePriceactivation price, only return with TRAILING_STOP_MARKET order
priceRatecallback rate, only return with TRAILING_STOP_MARKET order
updateTimeupdate time
workingTypeStop trigger price type.
priceProtectif conditional order trigger is protected
priceMatchprice match mode
selfTradePreventionModeself trading preventation mode
User's Force Orders (USER_DATA)
User's Force Orders
User's Force Orders (USER_DATA) › Authorization
User's Force Orders (USER_DATA) › Request Weight
This endpoint consumes IP-based request weight. Heavier endpoints consume more of your IP rate limit capacity.
Learn more in the Rate limits section.
20 (after CM migration: 20 with symbol / 50 without symbol)
Headers
X-MBX-APIKEYAn API Key is required to access this endpoint and must be included in the request headers. To create an API Key, refer to: https://www.binance.com/en/support/faq/detail/360002502072.
Query Parameters
timestampUnix timestamp in milliseconds used to sign the request. The value must reflect the current client time and is validated by the server for signed endpoints.
symbolautoCloseTypestartTimeendTimelimitMaximum number of records to return.
recvWindowUser's Force Orders (USER_DATA) › Responses
User's Force Orders
orderIdSub-order ID
symbolTrading symbol
pairPair
statusEnum:completed,processing
clientOrderIdClient order ID.
priceLatest token price.
avgPriceAverage execution price
origQtyOriginal order quantity
executedQtyExecuted quantity
cumBaseCumulative base asset amount.
timeInForceTime in force
typeOrder type.
reduceOnlyWhether the order is reduce-only.
closePositionif Close-All
sideTrading side
positionSidePosition side
stopPriceplease ignore when order type is TRAILING_STOP_MARKET
workingTypeStop trigger price type.
priceProtectif conditional order trigger is protected
origTypeOriginal order type.
timeTime
updateTimeupdate time